Subject: Re: ATLAS fails to build on mips

From: Federico Beffa <[email-masked]>
Date: Mon, 3 Nov 2014 18:53:35 +0100

What I see is that ATLAS is not able to detect the type of system on
which it is running.

My first question then is:

* Are we corss-compiling, or are we on proper hardware?

If we are cross-compiling, then the only solution that I see it to try
to fix the configuration with parameters passed to configure and give
up on optimization.

I have no practical experience with MIPS, so my next question is: In
the list of architectures supported by ATLAS I see:

49 = 'MIPSR1xK'
50 = 'MIPSICE9'

Is one of the two appropriate?

Also ATLAS wants to know about ISA extensions. Is any of the following
relevant or should I pick 'none'?

         none: 1
          VSX: 2
      AltiVec: 4
       AVXMAC: 8
      AVXFMA4: 16
          AVX: 32
         SSE3: 64
         SSE2: 128
         SSE1: 256
        3DNow: 512
         NEON: 1024

Regards,
Fede

P.S.: I'm indeed not subscribed to the bug list. Could you copy me directly?